Subject: Re: [Emu] I-D Action: draft-ietf-emu-tls-eap-types-03.txt

From: John Mattsson <[email-masked]>
Date: Mon, 18 Oct 2021 18:46:30 +0000

What is the status and plan for this document? To me it still seems like it is more or less done and ready for WGLC. I agree with Alan that it would be good if it is published quite soon after EAP-TLS 1.3. It is important to begin transitioning all the TLS based EAP methods to TLS 1.3.

Cheers,
John

From: John Mattsson <[email-masked]>
Date: Wednesday, 23 June 2021 at 10:39
To: Alan DeKok <[email-masked]>, EMU WG <[email-masked]>
Subject: Re: [Emu] I-D Action: draft-ietf-emu-tls-eap-types-03.txt
I agree that the document is ready for WG last call.

John

From: Emu <[email-masked]> on behalf of Alan DeKok <[email-masked]>
Date: Tuesday, 22 June 2021 at 15:10
To: EMU WG <[email-masked]>
Subject: Re: [Emu] I-D Action: draft-ietf-emu-tls-eap-types-03.txt
  This is to address John's review, and to do some minor cleanups and textual fixes.

  I think the document should be ready for last call.  There are multiple interoperable implementations (client and server).  I believe it's important to publish this document at the same time as updates to EAP-TLS.

> On Jun 22, 2021, at 9:07 AM, [email-masked] wrote:
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the EAP Method Update WG of the IETF.
>
>        Title           : TLS-based EAP types and TLS 1.3
>        Author          : Alan DeKok
>        Filename        : draft-ietf-emu-tls-eap-types-03.txt
>        Pages           : 15
>        Date            : 2021-06-22
>
> Abstract:
>   EAP-TLS [RFC5216] is being updated for TLS 1.3 in [EAPTLS].  Many
>   other EAP [RFC3748] and [RFC5247] types also depend on TLS, such as
>   FAST [RFC4851], TTLS [RFC5281], TEAP [RFC7170], and possibly many
>   vendor specific EAP methods.  This document updates those methods in
>   order to use the new key derivation methods available in TLS 1.3.
>   Additional changes necessitated by TLS 1.3 are also discussed.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-emu-tls-eap-types/
>
> There is also an htmlized version available at:
> https://datatracker.ietf.org/doc/html/draft-ietf-emu-tls-eap-types-03
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-emu-tls-eap-types-03
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> Emu mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/emu

_______________________________________________
Emu mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/emu

---

From: Alan DeKok <[email-masked]>
Date: Mon, 18 Oct 2021 15:17:15 -0400

On Oct 18, 2021, at 2:46 PM, John Mattsson <john.mattsson=[email-masked]> wrote:
> 
> What is the status and plan for this document? To me it still seems like it is more or less done and ready for WGLC.

  Implementors are doing final interoperability testing on client && server implementations.  We hope to have updates within a few weeks,

>  I agree with Alan that it would be good if it is published quite soon after EAP-TLS 1.3. It is important to begin transitioning all the TLS based EAP methods to TLS 1.3.

  I agree.

  Alan DeKok.